## org.apache.lucene.analysis.sinks
Class TokenTypeSinkFilter

    java.lang.Object
      org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter
          org.apache.lucene.analysis.sinks.TokenTypeSinkFilter

    public class TokenTypeSinkFilter

extends org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter

Constructor Summary
`TokenTypeSinkFilter(java.lang.String typeToMatch)`

Method Summary
`boolean` `accept(org.apache.lucene.util.AttributeSource source)`

Methods inherited from class org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter
`reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenTypeSinkFilter

    public TokenTypeSinkFilter(java.lang.String typeToMatch)

Method Detail

### accept

    public boolean accept(org.apache.lucene.util.AttributeSource source)

  Specified by:
    `accept` in class `org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.